# typed: strict
module HasViewPrefix
  extend T::Sig
  extend T::Helpers
  abstract!
  requires_ancestor { Kernel }

  module ClassMethods
    extend T::Sig
    extend T::Helpers
    abstract!

    sig { abstract.returns(String) }
    def view_prefix
    end
  end

  mixes_in_class_methods(ClassMethods)
end
